<template>
  <v-app>
    <v-app-bar app color="white" elevate-on-scroll>
      <div class="d-flex align-center">
        <v-img
          :src="require('./assets/logo.png')"
          class="my-2"
          contain
          width="100"
        />
      </div>

      <v-spacer></v-spacer>
      <v-menu v-if="$root.selectedAgent" offset-y>
      <template v-slot:activator="{ on, attrs }">

        <v-chip v-bind="attrs"
          v-on="on" color="primary" dark label>
        <v-avatar class="rounded" color="white" left>
          <span class="primary--text">{{$root.selectedAgent.fields.agent_name.charAt(0)}}{{$root.selectedAgent.fields.agent_surname.charAt(0)}}</span>
        </v-avatar>
        {{$root.selectedAgent.fields.agent_name}} {{$root.selectedAgent.fields.agent_surname}}
      </v-chip>
      </template>
      <v-list>
        <v-list-item @click="logout"
        >
          <v-list-item-title>Logout</v-list-item-title>
        </v-list-item>
      </v-list>
    </v-menu>
      
    </v-app-bar>
    
    <v-main>
      
      <router-view />
    </v-main>
  </v-app>
</template>

<script>
export default {
  name: "App",

  data: () => ({
    //
  }),
  methods: {
    logout() {
      this.$root.selectedAgent = null;
      this.$router.push({ name: "userselect" });
    },
  },
};
</script>
